Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.ra.aqdr._1_0.protocol
Class NaturalPerson

    java.lang.Object
      be.fgov.ehealth.etee.ra.aqdr._1_0.protocol.NaturalPerson

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class NaturalPerson

extends Object
implements Serializable

Java class for NaturalPerson complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NaturalPerson">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Quality" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
                       <element name="NIHII" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="AAPersonalAuth" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NaturalPerson()`

Method Summary
`byte[]` | `getAAPersonalAuth()` Gets the value of the aaPersonalAuth property.
`List<Quality>` | `getQualities()` Gets the value of the qualities property.
`void` | `setAAPersonalAuth(byte[] value)` Sets the value of the aaPersonalAuth property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NaturalPerson

    public NaturalPerson()

Method Detail

### getQualities

    public List<Quality> getQualities()

  Gets the value of the qualities property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the qualities property.

  For example, to add a new item, do as follows:

          getQualities().add(newItem);

  Objects of the following type(s) are allowed in the list `Quality`

### getAAPersonalAuth

    public byte[] getAAPersonalAuth()

  Gets the value of the aaPersonalAuth property.

  Returns:
    possible object is byte[]

### setAAPersonalAuth

    public void setAAPersonalAuth(byte[] value)

  Sets the value of the aaPersonalAuth property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.